Get all working result set versions
get
/fscmRestApi/resources/11.13.18.05/workingResultSetVersions
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- ByKeywordFinder Finds the working result sets that match the specified keyword.
Finder Variables- Keyword; string; The keyword for the working result set.
- PrimaryKey Finds working result set versions that match the primary key criteria specified.
Finder Variables- ResultSetVersionId; integer; The unique identifier of the working result set version.
- PublishedVersionFinder Finds the published working result set versions.
Finder Variables- InUseResultSetId; integer; The unique identifier of the working result set. If a value is provided, that working result set is returned even if it's no longer published.
- ByKeywordFinder Finds the working result sets that match the specified keyword.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ResultSetCode; string; The code of a working result set.
- ResultSetDescription; string; The description of the working result set version.
- ResultSetId; integer; The unique identifier for a working result set.
- ResultSetName; string; The name of the working result set version.
- ResultSetStatusCode; string; The status of the working result set version. Examples of valid values are published, unpublished, or draft. A list of accepted values is defined in the lookup type ORA_HEY_VERSION_STATUS.
- ResultSetStatusMeaning; string; The meaning of the working result set version status code. A list of accepted values is defined in the lookup type ORA_HEY_VERSION_STATUS.
- ResultSetVersionId; integer; The unique identifier for a working result set version.
- VersionNumber; integer; The version number of the working result set.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : workingResultSetVersions
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : workingResultSetVersions-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ResultSetCode: string
Title:
Result Set CodeRead Only:trueMaximum Length:30The code of a working result set. -
ResultSetDescription: string
Title:
Version DescriptionRead Only:trueMaximum Length:240The description of the working result set version. -
ResultSetId: integer
Title:
Result Set IDRead Only:trueThe unique identifier for a working result set. -
ResultSetName: string
Title:
Version NameRead Only:trueMaximum Length:50The name of the working result set version. -
ResultSetStatusCode: string
Title:
Status CodeRead Only:trueMaximum Length:30The status of the working result set version. Examples of valid values are published, unpublished, or draft. A list of accepted values is defined in the lookup type ORA_HEY_VERSION_STATUS. -
ResultSetStatusMeaning: string
Title:
StatusRead Only:trueMaximum Length:80The meaning of the working result set version status code. A list of accepted values is defined in the lookup type ORA_HEY_VERSION_STATUS. -
resultSetValues: array
Result Set Values
Title:
Result Set ValuesThe result set values resource provides a list of result values assigned to the result set version. -
ResultSetVersionId: integer
(int64)
Title:
Result Set Version IDRead Only:trueThe unique identifier for a working result set version. -
tagAssignments: array
Tag Assignments
Title:
Tag AssignmentsThe tag assignments resource provides a list of tags assigned to the result set version. -
VersionNumber: integer
(int32)
Title:
Version NumberRead Only:trueThe version number of the working result set.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Result Set Values
Type:
arrayTitle:
Result Set ValuesThe result set values resource provides a list of result values assigned to the result set version.
Show Source
Nested Schema : Tag Assignments
Type:
arrayTitle:
Tag AssignmentsThe tag assignments resource provides a list of tags assigned to the result set version.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : workingResultSetVersions-resultSetValues-item-response
Type:
Show Source
object-
Description: string
Title:
Result Value DescriptionRead Only:trueMaximum Length:240The description of a result value. -
DisplayOrder: integer
(int32)
Title:
Display OrderRead Only:trueThe display sequence of the result value within the result set. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NumericFromValue: number
Title:
Numeric Range from ValueRead Only:trueThe minimum score that can be earned, entered or calculated for a result. -
NumericPrecision: integer
(int32)
Title:
Numeric Range PrecisionRead Only:trueThe precision allowed for scores in the result. -
NumericToValue: number
Title:
Numeric Range to ValueRead Only:trueThe maximum score value that can be earned, entered or calculated for a result. -
NumericValue: number
Title:
Numeric ValueRead Only:trueThe numeric value of a result. -
ResultSetValueId: integer
(int64)
Title:
Result Set Value IDRead Only:trueThe unique identifier for a result set value. -
ResultValueCode: string
Title:
Result Value CodeRead Only:trueMaximum Length:30The code of a result value. -
ResultValueId: integer
(int64)
Title:
Result Value IDRead Only:trueThe unique identifier for a result value. -
ResultValueName: string
Title:
Result Value NameRead Only:trueMaximum Length:50The name of a result value, such as Pass or Fail. -
ResultValueType: string
Title:
Result Value Type CodeRead Only:trueMaximum Length:30The type of a result value. -
ResultValueTypeMeaning: string
Title:
Result Value Type MeaningRead Only:trueMaximum Length:80The meaning of a result value type. -
TextValue: string
Title:
Text ValueRead Only:trueMaximum Length:50The text value of a result.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : workingResultSetVersions-tagAssignments-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
TagAssignmentId: integer
(int64)
Title:
Tag Assignment IDRead Only:trueThe tag assignment identifier of the result set tag. -
TagCode: string
Title:
Tag CodeRead Only:trueMaximum Length:30The code of the result set tag. -
TagDescription: string
Title:
Tag DescriptionRead Only:trueMaximum Length:240The description of the result set tag. -
TagId: integer
(int64)
Title:
Tag IDRead Only:trueThe identifier of the result set tag. -
TagName: string
Title:
Tag NameRead Only:trueMaximum Length:64The name of the result set tag.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source